#ifndef AVSX_H
#define AVSX_H   1

#include <stdio.h>
#include <avs/port.h>
#include <avs/f_utils.h>
#include <avs/om.h>
#include <avs/om_type.h>
#include <avs/gd.h>
#include <avs/err.h>
#include "../../image.h"

#define avsxSUCCESS 1
#define avsxFAILURE 0

/* caller interface struct */
typedef struct _avsx_t
{
  FILE *fp;
  int  access;		/* file access: read or write */
  int  width, height;
  int  colortype;	/* RGB or grayscale, maybe even BW dithered? */
  int  flip;
  byte *image;
} avsx_t;

#endif
